# Uses of Class
net.shibboleth.idp.attribute.resolver.testing.MockStaticDataConnector

Packages that use MockStaticDataConnector
Package
Description
net.shibboleth.idp.attribute.resolver.testing
Testing utility classes.

## Uses of MockStaticDataConnector in net.shibboleth.idp.attribute.resolver.testing

Methods in net.shibboleth.idp.attribute.resolver.testing that return MockStaticDataConnector
Modifier and Type
Method
Description
`static MockStaticDataConnector`
ResolverTestSupport.`buildDataConnector(String connectorId, IdPAttribute... attributes)`
Construct a test `DataConnector`